org.keycloak.broker.provider.util

## Class SimpleHttp

- java.lang.Object
- - org.keycloak.broker.provider.util.SimpleHttp

- Direct Known Subclasses:
    JsonSimpleHttp

      public class SimpleHttp
      extends Object

  Author:
    Stian Thorgersen, Vlastimil Elias (velias at redhat dot com)

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SimpleHttp(String url, String method)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `asStatus()`
    `String` | `asString()`
    `static SimpleHttp` | `doGet(String url)`
    `static SimpleHttp` | `doPost(String url)`
    `SimpleHttp` | `header(String name, String value)`
    `SimpleHttp` | `hostnameVerifier(HostnameVerifier verifier)`
    `SimpleHttp` | `param(String name, String value)`
    `SimpleHttp` | `sslFactory(SSLSocketFactory factory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleHttp

          protected SimpleHttp(String url,
                               String method)

  - ### Method Detail

    - #### doGet

          public static SimpleHttp doGet(String url)

    - #### doPost

          public static SimpleHttp doPost(String url)

    - #### header

          public SimpleHttp header(String name,
                                   String value)

    - #### param

          public SimpleHttp param(String name,
                                  String value)

    - #### sslFactory

          public SimpleHttp sslFactory(SSLSocketFactory factory)

    - #### hostnameVerifier

          public SimpleHttp hostnameVerifier(HostnameVerifier verifier)

    - #### asString

          public String asString()
                          throws IOException

      Throws:
        `IOException`

    - #### asStatus

          public int asStatus()
                       throws IOException

      Throws:
        `IOException`

Copyright © 2016 JBoss by Red Hat. All rights reserved.